repos:

- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.5.0
  hooks:
    - id: trailing-whitespace
    - id: end-of-file-fixer
      exclude: LICENSES/headers
    - id: check-yaml
      # !reference is specific to gitlab
      # !! prefix is specific to mkdocs
      exclude: \.gitlab-ci.yml|mkdocs.yml
    - id: check-added-large-files
    - id: check-json
    - id: pretty-format-json
      args: [
        --autofix,
        --no-sort-keys,
      ]
      exclude: \.ipynb
    - id: check-toml
    - id: destroyed-symlinks
    - id: check-symlinks

- repo: https://github.com/pre-commit/pygrep-hooks
  rev: v1.10.0
  hooks:
    - id: rst-backticks
    - id: rst-directive-colons
    - id: rst-inline-touching-normal

- repo: https://github.com/astral-sh/ruff-pre-commit
  rev: v0.3.2
  hooks:
    - id: ruff
      types_or: [ python, pyi, jupyter ]
      args: [ --exit-non-zero-on-fix ]
    - id: ruff-format
      types_or: [ python, pyi, jupyter ]

- repo: https://github.com/commitizen-tools/commitizen
  rev: v3.18.3
  hooks:
    - id: commitizen
      stages: [commit-msg]

- repo: https://github.com/kynan/nbstripout
  rev: 0.7.1
  hooks:
    - id: nbstripout

- repo: https://github.com/igorshubovych/markdownlint-cli
  rev: v0.39.0
  hooks:
  - id: markdownlint
    args: [
      --fix,
      --disable,
      MD024,
      ]
{%- if project_is_open_source %}

- repo: https://github.com/Lucas-C/pre-commit-hooks
  rev: v1.5.5
  hooks:
    - id: insert-license
      name: insert LGPL license
      exclude: ^docs
      files: \.py$
      args:
        - --license-filepath
        - LICENSES/headers/LGPL-3.0.txt
    - id: insert-license
      name: insert BSD license
      files: ^docs/(examples|tutorials).*\.py$
      args:
        - --license-filepath
        - LICENSES/headers/BSD-0-Clause.txt
    - id: insert-license
      name: insert CC BY-SA license for rst files
      files: \.rst$
      args:
        - --license-filepath
        - LICENSES/headers/CC-BY-SA-4.0.txt
        - --comment-style
        - ..|   |
    - id: insert-license
      name: insert CC BY-SA license for md files
      files: \.md$
      args:
        - --license-filepath
        - LICENSES/headers/CC-BY-SA-4.0.txt
        - --comment-style
        - <!--||-->
{%- endif -%}
